File nodeDir = new File(basedir, ".cache/node")
assert nodeDir.isDirectory()
File nodeModulesDir = new File(basedir, "node_modules")
assert !nodeModulesDir.exists()
File siteIndexFile = new File(basedir, "target/site/test/1.0/index.html")
assert siteIndexFile.isFile()
File nodeExec = new File(nodeDir, 'node')
String nodeVersion = "${nodeExec} --version".execute().text.trim()
assert nodeVersion.equals("v18.19.1")
